Bug 1293750 - [RFE] Satellite 5.7: help customer detect db space before upgrade and how to expand
[RFE] Satellite 5.7: help customer detect db space before upgrade and how to ...
Status: NEW
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Upgrades (Show other bugs)
570
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Tomáš Kašpárek
Red Hat Satellite QA List
: FutureFeature, UserExperience
Depends On:
Blocks: 260381
  Show dependency treegraph
 
Reported: 2015-12-22 19:44 EST by Xixi
Modified: 2016-10-11 03:35 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Xixi 2015-12-22 19:44:43 EST
Description of problem:
Customer running out of disk space for db during upgrade: may need assistance in extending LVM volume etc. Can upgrade/installer detect this and help point customers to RHEL docs on managing disk space?

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Tomáš Kašpárek 2016-01-05 08:03:59 EST
There are two major concerns about this: detecting whether the DB is embedded or external one, how to behave when the DB is external one.
Second one: determining LVM status and free space on LVM which contains /var/lib/pgsql, what if LVM is not used?
This would increase effort spent on this one, also Satellite is not here to monitor LVM partitions and to teach users how to expand them.

Note You need to log in before you can comment on or make changes to this bug.